<?xml version="1.0" encoding="utf-8" ?><rss version="2.0"><channel><title><![CDATA[Forjames的栏目]]></title><description><![CDATA[ 本博客正式搬往博客园__http://www.cnblogs.com/ZegWe/]]></description><link>https://blog.youkuaiyun.com/Forjames</link><language>zh-cn</language><generator>https://blog.youkuaiyun.com/</generator><copyright><![CDATA[Copyright &copy; Forjames]]></copyright><item><title><![CDATA[搬家啦！！！]]></title><link>https://blog.youkuaiyun.com/Forjames/article/details/52809943</link><guid>https://blog.youkuaiyun.com/Forjames/article/details/52809943</guid><author>Forjames</author><pubDate>Thu, 13 Oct 2016 20:46:10 +0800</pubDate><description><![CDATA[本博客搬往博客园。 
原因么… 优快云太丑
地址： http://www.cnblogs.com/ZegWe/]]></description><category></category></item><item><title><![CDATA[POJ3461 Oulipo KMP裸题]]></title><link>https://blog.youkuaiyun.com/Forjames/article/details/52582869</link><guid>https://blog.youkuaiyun.com/Forjames/article/details/52582869</guid><author>Forjames</author><pubDate>Mon, 19 Sep 2016 09:30:29 +0800</pubDate><description><![CDATA[POJ3461 Oulipo 
很裸的KMP题目，求模式串在母串中的匹配次数。 
不过我最开始用的cin T了 /(ㄒoㄒ)/~~ mdzz代码#include <iostream>
#include <cstring>
#include <cstdio>
using namespace std;char s[1000005],a[10005];
int t;
int next[10005];voi]]></description><category></category></item><item><title><![CDATA[POJ2752 Seek the Name, Seek the Fame KMP应用]]></title><link>https://blog.youkuaiyun.com/Forjames/article/details/52582517</link><guid>https://blog.youkuaiyun.com/Forjames/article/details/52582517</guid><author>Forjames</author><pubDate>Mon, 19 Sep 2016 08:45:14 +0800</pubDate><description><![CDATA[POJ2752 Seek the Name, Seek the Fame这算是一道比较脑洞的KMP题目。 
先来看题意。对于给定的一个字符串，有一部分前缀和后缀是相同的，让你从小到大输出这些相同前缀后缀的长度。 
如样例 ababcababababcabab，相同的前缀后缀有“ab”,”abab”,”ababcabab”,”ababcababababcabab”四个，长度分别为2 4 9 18；然后]]></description><category></category></item><item><title><![CDATA[poj1836 Alignment LIS傻逼题]]></title><link>https://blog.youkuaiyun.com/Forjames/article/details/52511408</link><guid>https://blog.youkuaiyun.com/Forjames/article/details/52511408</guid><author>Forjames</author><pubDate>Mon, 12 Sep 2016 10:35:35 +0800</pubDate><description><![CDATA[Alignmenthttp://poj.org/problem?id=1836Time Limit: 1000MS      Memory Limit: 30000K 
Total Submissions: 16118        Accepted: 5264DescriptionIn the army, a platoon is composed by n soldiers. During th]]></description><category></category></item><item><title><![CDATA[SAP 模板]]></title><link>https://blog.youkuaiyun.com/Forjames/article/details/52511244</link><guid>https://blog.youkuaiyun.com/Forjames/article/details/52511244</guid><author>Forjames</author><pubDate>Mon, 12 Sep 2016 10:20:03 +0800</pubDate><description><![CDATA[——–神大出品，必定精品 
大概用了层次图之类的吧，暂时不是太懂，先存下来再说。//学长用的是数组，果然还是不太喜欢数组，之后再改成结构体。
int dfs(int x,int flow){  
    if(x==T) return flow;  
    int tmp=res=0;  
    for(int i=last[x];i;i=next[i]) if (d[x]==d[v[i]]+1]]></description><category></category></item><item><title><![CDATA[CDOJ 843 冰雪奇缘 （线段树+离散）]]></title><link>https://blog.youkuaiyun.com/Forjames/article/details/52287539</link><guid>https://blog.youkuaiyun.com/Forjames/article/details/52287539</guid><author>Forjames</author><pubDate>Tue, 23 Aug 2016 07:17:35 +0800</pubDate><description><![CDATA[冰雪奇缘Time Limit: 9000/3000MS (Java/Others)     Memory Limit: 65535/65535KB (Java/Others)艾莎女王又开始用冰雪魔法盖宫殿了。她决定先造一堵墙，于是释放魔法让形为直角梯形的冰砖从天而降，定入冻土之中。现在你将回答女王的询问：某段冻土上冰砖的面积。注：多块冰砖之间会互相重叠，重叠部分要多次计算。Input 
第一行一个整]]></description><category></category></item><item><title><![CDATA[一些资源汇总，持续更新]]></title><link>https://blog.youkuaiyun.com/Forjames/article/details/52122792</link><guid>https://blog.youkuaiyun.com/Forjames/article/details/52122792</guid><author>Forjames</author><pubDate>Thu, 04 Aug 2016 20:40:33 +0800</pubDate><description><![CDATA[存： 
视频 《每周算法讲堂》]]></description><category></category></item><item><title><![CDATA[poj1961 period KMP求循环节]]></title><link>https://blog.youkuaiyun.com/Forjames/article/details/52046737</link><guid>https://blog.youkuaiyun.com/Forjames/article/details/52046737</guid><author>Forjames</author><pubDate>Wed, 27 Jul 2016 16:26:15 +0800</pubDate><description><![CDATA[http://poj.org/problem?id=1961#include <cstdio>
#include <cstring>
#include <iostream>
using namespace std;
int len,t;
char s[1000005];
int next[1000005];int main(){
    while(1){
        scanf("%d",&l]]></description><category></category></item><item><title><![CDATA[poj2406 Power Strings 简单KMP]]></title><link>https://blog.youkuaiyun.com/Forjames/article/details/52046154</link><guid>https://blog.youkuaiyun.com/Forjames/article/details/52046154</guid><author>Forjames</author><pubDate>Wed, 27 Jul 2016 15:45:05 +0800</pubDate><description><![CDATA[poj2406]]></description><category></category></item><item><title><![CDATA[NOIP2014 Day1 P3 飞扬的小鸟]]></title><link>https://blog.youkuaiyun.com/Forjames/article/details/52033698</link><guid>https://blog.youkuaiyun.com/Forjames/article/details/52033698</guid><author>Forjames</author><pubDate>Tue, 26 Jul 2016 10:55:11 +0800</pubDate><description><![CDATA[今天把noip2014 过了一遍，分数不是很理想，不过也算增长了姿♂势♂水♂平。这一道题，一眼就能看出来是动归，状态也很好定义，就是dp[i][j]：表示到达(i,j)最少需要点击几次。只不过转移的时候需要稍微动一点脑筋，因为在同一个点可以点击多次，如果枚举点击次数，那是肯定要T的。一开始我想的是枚举当前状态向后转移，T了，所以我们换一个思路，每次更新由之前的状态转移到现在，点击多次是就由当前列数自]]></description><category></category></item><item><title><![CDATA[KMP算法学习笔记]]></title><link>https://blog.youkuaiyun.com/Forjames/article/details/51943371</link><guid>https://blog.youkuaiyun.com/Forjames/article/details/51943371</guid><author>Forjames</author><pubDate>Mon, 18 Jul 2016 16:50:00 +0800</pubDate><description><![CDATA[前几天学习了关于字符串处理的KMP算法，刚学的时候没怎么懂，通过今天的练题，终于把KMP掌握了。KMP算法利用了字符串的一些特殊性质，通过前缀数组，将单个字符串的匹配问题由O(m∗n)O(m*n)优化到了O(m+n)O(m+n)。这里，我存几段关键性代码。首先是get_next()函数void get_next()
{
    int i=0,j=-1;
    next[0] = -1;]]></description><category></category></item><item><title><![CDATA[竞赛于 2016-4-19 T1，公司控制（usaco 原题）]]></title><link>https://blog.youkuaiyun.com/Forjames/article/details/51191885</link><guid>https://blog.youkuaiyun.com/Forjames/article/details/51191885</guid><author>Forjames</author><pubDate>Tue, 19 Apr 2016 16:41:49 +0800</pubDate><description><![CDATA[该题为USACO上原题，乍一看挺麻烦，其实可直接搜索。设a[i][j]为i公司控制j公司的股份，con[i][j]表示i公司是否控制j公司。首先枚举每个i，j公司，对于每个i能控制的公司j，则要继续枚举j占有股份的公司k，计算其股份和，跟新a[i][k]，然后添加i控制j，而每次添加新的控制关系则要再更新一次所有关系。时间复杂度小于O(n^4)，对于本题完全能过。
#include
#inclu]]></description><category></category></item></channel></rss>